/* 
 * Command.java --
 *
 *	This file contains the Command class which encapsulates the
 *	callbacks for a Tcl command implementation.
 *
 * Copyright (c) 1995 by Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * SCCS: @(#) Command.java 1.2 95/12/19 14:34:40
 */

package tcl;

/*
 * In order to create a new Tcl command, an application should create
 * a subclass of Command that provides an implmentation for the invoke()
 * method.  The subclass can optionally override the deleted() method to
 * be notified when the command is removed from an interpreter.
 */

abstract public class Command {
    abstract public int invoke(Interp interp, Value args[]);
    public void deleted(Interp interp) { }
}
